
Redmine - Feature #4670

Fine tune "New Issue"

2010-01-27 20:50 - Jakob Meissner

Status: Closed Start date: 2010-01-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Why can anybody (=any role) assign a due date, etimated time, %done, assigned to, or target version for an new issue? This makes

sense only for the developers themselves and is unintersting (best) or confusing (worse) for the bug/feature reporters.

As it seems, even redmine has problems with this, as you put these 2 lines in "SubmittingBugs":

please DON'T fill the target version field: let the developers decide when integrate

please DON'T assign the feature request to anybody, let the developers deal with it

It is possible already to add custuom fields, so why not making the default fields deletable?

best regards,

jakob

Related issues:

Related to Redmine - Feature #12005: Mightful workflow field enhancement: hide New

Related to Redmine - Feature #4485: Create an ACL privilege for assigning tic... Closed 2009-12-25

Has duplicate Redmine - Feature #9054: New Issue Submission Form Closed 2011-08-13

Is duplicate of Redmine - Feature #703: Configurable required fields per trac... Closed 2008-02-21

History

#1 - 2010-02-07 12:59 - Axel Kloss

+1, really need this configurable or role-based (see also #1091)

#2 - 2010-02-07 13:01 - Axel Kloss

and #703

#3 - 2010-03-31 21:50 - minkbear minkbear

+1

#4 - 2010-05-03 04:01 - Bryce Ellis

I am very happy to have finally found a tool that ties together the vital parts of project(s) management as well as redmine does. Great Job! I am in the

process of standing up a version with many external contributers and a need to manage the content of incremental baselines. Due to the number and

diversity of contributers on our project, the features of and changes to a target version must be tightly controlled by a configuration control board.  This

issue means that the board must extend extra effort to guard against any redirection of issues.

#5 - 2013-03-20 16:40 - Dipan Mehta

This is yet another duplicate of #703 + #12005

#6 - 2013-03-25 03:15 - Toshi MARUYAMA

- Category set to Issues

#7 - 2017-03-11 05:42 - Go MAEDA

- Is duplicate of Feature #703: Configurable required fields per tracker/status/role added

#8 - 2017-03-11 05:42 - Go MAEDA

- Status changed from New to Closed
- Resolution set to Duplicate

Implemented by #703 (Redmine 2.1.0).

Administrators can make fields read only / required in workflow page.
